org.eclnt.workplace

## Class WorkplaceTileInfo

- java.lang.Object
- - org.eclnt.workplace.WorkplaceTileInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceTileInfo
      extends java.lang.Object
      implements java.io.Serializable

  Information about a perspective.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceTileInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkplaceTileInfoPageContainer` | `getContainer()` If the perspective consists out of one workpage container only, then this is the one.
    `java.lang.String` | `getFunctionTreeOpenedTopNodeId()` Id of the function tree area that is opened by default.
    `WorkplaceTileInfoSplitPane` | `getSplit()` If the perspective consists out of a split pane then this is the definition of the first, top split pane.
    `java.util.List<WorkpageStartInfo>` | `getStartViews()` Collection of workpage start infos - for all workpages that are started when opening the perspective.
    `java.lang.String` | `getText()` The text of the perspective.
    `java.util.List<WorkplaceTilePositionHint>` | `getTilePositionHints()` If tiles are not part of a workplace layout yet, but opened later on, then there are definitions which define where a tile is to be opened.
    `boolean` | `isFrozen()` Indicator that current tile arrangement is frozen - i.e. cannot be updated by the user.
    `void` | `setContainer(WorkplaceTileInfoPageContainer container)`
    `void` | `setFrozen(boolean frozen)`
    `void` | `setFunctionTreeOpenedTopNodeId(java.lang.String functionTreeOpenedTopNodeId)`
    `void` | `setSplit(WorkplaceTileInfoSplitPane split)`
    `void` | `setStartViews(java.util.List<WorkpageStartInfo> views)`
    `void` | `setText(java.lang.String text)`
    `void` | `setTilePositionHints(java.util.List<WorkplaceTilePositionHint> tilePositionHints)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceTileInfo

          public WorkplaceTileInfo()

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      The text of the perspective.

    - #### setText

          public void setText(java.lang.String text)

    - #### getSplit

          public WorkplaceTileInfoSplitPane getSplit()

      If the perspective consists out of a split pane then this is the definition of the first, top split pane. When defining a split, then the property "container" (`getContainer()`) must NOT be defined.

    - #### setSplit

          public void setSplit(WorkplaceTileInfoSplitPane split)

    - #### getContainer

          public WorkplaceTileInfoPageContainer getContainer()

      If the perspective consists out of one workpage container only, then this is the one. When defining a container, then the property "split" (`getSplit()`) must NOT be defined.

    - #### setContainer

          public void setContainer(WorkplaceTileInfoPageContainer container)

    - #### getStartViews

          public java.util.List<WorkpageStartInfo> getStartViews()

      Collection of workpage start infos - for all workpages that are started when opening the perspective.

    - #### setStartViews

          public void setStartViews(java.util.List<WorkpageStartInfo> views)

    - #### isFrozen

          public boolean isFrozen()

      Indicator that current tile arrangement is frozen - i.e. cannot be updated by the user.

    - #### setFrozen

          public void setFrozen(boolean frozen)

    - #### getFunctionTreeOpenedTopNodeId

          public java.lang.String getFunctionTreeOpenedTopNodeId()

      Id of the function tree area that is opened by default. The top level of functions is separated by an outlookbar component. This index defines, which outlookbar part is opened by default.

    - #### setFunctionTreeOpenedTopNodeId

          public void setFunctionTreeOpenedTopNodeId(java.lang.String functionTreeOpenedTopNodeId)

    - #### getTilePositionHints

          public java.util.List<WorkplaceTilePositionHint> getTilePositionHints()

      If tiles are not part of a workplace layout yet, but opened later on, then there are definitions which define where a tile is to be opened.

    - #### setTilePositionHints

          public void setTilePositionHints(java.util.List<WorkplaceTilePositionHint> tilePositionHints)

Copyright © CaptainCasa Gmbh. All Rights Reserved.